# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(IO/Socket/INET.pm) perl(Params/Validate.pm) perl(Perl6/Slurp.pm) perl(Storable.pm) perl(Test/Class.pm) perl(Test/More.pm) perl(Test/TCP.pm) perl(Time/HiRes.pm) perl(Ubic/Daemon.pm) perl(Ubic/Result.pm) perl(Ubic/Service/Common.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name Ubic-Service-ZooKeeper
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: running ZooKeeper as Ubic service
Group: Development/Perl
License: perl
URL: http://github.com/tadam/Ubic-Service-ZooKeeper

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TA/TADAM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module intends for running/shutdown ZooKeeper as a the Ubic manpage service. It accepts all config options of ZooKeeper (and some other options), generates config and myid file and run it.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes Changes~
%perl_vendor_privlib/U*

%changelog
* Sat Mar 16 2019 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

